New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2129 (AGRIF-05_rblod_CMEMS) – NEMO

Opened 4 years ago

Closed 21 months ago

#2129 closed Task (fixed)

AGRIF-05_rblod_CMEMS

Reported by: rblod Owned by: rblod
Priority: high Milestone: 2020 WP
Component: AGRIF Version: trunk
Severity: minor Keywords: AGRIF
Cc: smasson

Description

Context

Improvement of Agrif for global configurations (periodic, north fold zoom, HPC) funded by CMEMS

Implementation plan

Due to 2020

Commit History (41)

ChangesetAuthorTimeChangeLog
14013jchanut2020-12-02T16:23:27+01:00

Manually merge with Christian's branch agrif top sponge/interp #2129

13673jchanut2020-10-26T08:51:22+01:00

#2129, Correct use of Niglo0/Njglo0 in place of jpiglo/jpjglo. Accomodate with 2DV domains with vertical North/South? walls.

13352jchanut2020-07-29T10:33:53+02:00

#2222, #2129: correct depths used in linear vertical interpolation. NB: these are also used for initial state interpolation/extrapolation with identical vertical grids

13335jchanut2020-07-22T16:24:10+02:00

Correct definition for tracers as suggested by Laurent, #2222, #2129

13334jchanut2020-07-22T16:20:32+02:00

finish bypassing ocean/ice initialization with AGRIF, #2222, #2129

13313jchanut2020-07-16T18:46:22+02:00

Create branch to finalize vertical interpolation with AGRIF (#2222), transition to new time stepping (#2018) + potential corrections to CMEMS dev (#2129)

13312jchanut2020-07-16T16:15:59+02:00

fixes small compilation issue with key_AGRIF and key_vertical, #2129

13258rblod2020-07-07T12:23:18+02:00

#2129 : merge branch CMEMS with trunk r13327

13185rblod2020-07-01T07:42:23+02:00

AGRIF_CMEMS #2129 : phase with trunk 13136

13184rblod2020-06-30T22:22:16+02:00

#2129 : typo

13183rblod2020-06-30T18:06:01+02:00

#2129 : restore agrif_oce

13182rblod2020-06-30T18:05:17+02:00

#2129 : move lk_south declaration + compatibility with SAS

13178jchanut2020-06-29T19:14:26+02:00

#2129, remove (stupid) remnant piece of code (forgotten when adding flag for agrif initial state interp)

13163rblod2020-06-26T15:21:13+02:00

#2129 : suppress ln_bry_south

13162rblod2020-06-26T15:20:37+02:00

#2129 : suppress ln_bry_south

13157jchanut2020-06-25T17:31:26+02:00

#2129, swap lbc_lnk and agrif bdy update in split-explicit fs. Overall strategy: agrif first, lateral bcs after

13147jchanut2020-06-23T17:55:23+02:00

#2129, correct output print for agrif sponge parameters

13146jchanut2020-06-23T17:08:22+02:00

#2129, set adimensional agrif sponge parameters

13145rblod2020-06-23T13:51:37+02:00

ticket #2129 : compilation issues in Domaincfg

13144rblod2020-06-23T13:11:50+02:00

ticket #2129 : repro with the new AGRIF library

13142jchanut2020-06-22T20:54:25+02:00

#2129, remove useless update of l_ini_child on parent grid

13141jchanut2020-06-22T18:27:34+02:00

#2129, corrections/add ons to initial state interpolation with AGRIF 1) add namelist flag for child grid initial state interpolation - ice not considered yet 2) provide depths and not thicknesses as inputs to vertical linear interpolation 3) extend initial state interpolation to a restart scenario for parent grid (warning should be added in that case in order to prevent users doing this at each model restart...) The online interpolation seems to work fine in the VORTEX case (provided 0. is not considered as a special value in the initial velocity field, i.e. ln_spc_dyn=F)

13133jchanut2020-06-19T11:48:02+02:00

Remove useless restriction on sponge width, #2129

13131jchanut2020-06-19T09:29:40+02:00

Remove forgotten agrif_2WAY cpp keys, #2129

13129rblod2020-06-18T17:33:30+02:00

ticket #2129 : fix compilation of DOMAINcfg with key_agrif

13109rblod2020-06-16T12:07:28+02:00

ticket #2129 : major corrections in domcfg

13104rblod2020-06-12T14:24:19+02:00

ticket #2129 : typo in connect_bathy

13103rblod2020-06-12T13:44:47+02:00

ticket #2129 : merge trunk@13100 and correct a bug in bathy connection

13076rblod2020-06-09T15:34:15+02:00

ticket #2129 : correct indexes in declaration in agrif_user

13057rblod2020-06-07T19:57:15+02:00

ticket #2129 : End of tools compilation with key_agrif

13056rblod2020-06-07T18:26:09+02:00

ticket #2129 : cleaning domcfg

13055rblod2020-06-07T12:44:20+02:00

ticket #2129 : capability to compile tools (domaincfg) with key_agrif

13028rblod2020-06-03T16:52:08+02:00

New AGRIF namelist parameter, see ticket #2129

13027rblod2020-06-03T16:36:09+02:00

New AGRIF library, see ticket #2129

13026rblod2020-06-03T16:30:02+02:00

AGRIF with northfold and perio, see ticket #2129

13025rblod2020-06-03T16:27:48+02:00

First version of new nesting tools merged with domaincfg, see ticket #2129

13024rblod2020-06-03T16:26:23+02:00

First version of new nesting tools merged with domaincfg, see ticket #2129

10727rblod2019-02-27T17:02:02+01:00

new nesting tools (attempt) and brutal cleaning of DOMAINcfg, see ticket #2129

10725rblod2019-02-27T14:55:54+01:00

Update agrif library and conv see ticket #2129

10083nicolasmartin2018-09-04T17:07:27+02:00

Missing item from the previous commit #2129

10082nicolasmartin2018-09-04T17:04:24+02:00

Revert previous commits shared with other branches and set up dev organisation for AGRIF CMEMS #2129

Change History (54)

comment:1 Changed 4 years ago by nicolasmartin

In 10082:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:2 Changed 4 years ago by nicolasmartin

In 10083:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:3 Changed 4 years ago by nicolasmartin

  • Milestone changed from 2018 WP to Unscheduled

comment:4 Changed 4 years ago by nicolasmartin

  • Milestone changed from Unscheduled to 2019 WP

comment:5 Changed 4 years ago by jchanut

  • Component changed from OCE to AGRIF

comment:6 Changed 4 years ago by clevy

  • Summary changed from NEMO AGRIF (CMEMS) to AGRIF-02_CMEMS_improve_global

comment:7 Changed 4 years ago by nemo

  • Priority changed from low to high

comment:8 Changed 3 years ago by rblod

In 10725:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 3 years ago by rblod

In 10727:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 3 years ago by jchanut

  • Milestone changed from 2019 WP to IMMERSE 2020

comment:11 Changed 3 years ago by jchanut

  • Milestone changed from IMMERSE 2020 to 2020 WP

comment:12 Changed 3 years ago by jchanut

  • branch_review changed from failed to pending
  • Summary changed from AGRIF-02_CMEMS_improve_global to AGRIF-05_rblod_CMEMS

comment:13 Changed 2 years ago by rblod

In 13024:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:14 Changed 2 years ago by rblod

In 13025:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:15 Changed 2 years ago by rblod

In 13026:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:16 Changed 2 years ago by rblod

In 13027:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:17 follow-up: Changed 2 years ago by smasson

  • Cc smasson added

Rachid, I am touching similar routines for #2366, we will have to be careful for the merge...
Is the introduction of lca allows you to use gcc with debugging options?

comment:18 in reply to: ↑ 17 Changed 2 years ago by rblod

Replying to smasson:

Rachid, I am touching similar routines for #2366, we will have to be careful for the merge...
Is the introduction of lca allows you to use gcc with debugging options?

Yes it it the only purpose of lca, it's a quick fix, not necessarily to be kept at the very end. (I have a plan to explain what's on the branch on the dedicated wiki page, one day...)
And yes, I think the AGRIF part of the merge will be especially tricky this year, I'll answer your email from yesterday about this

comment:19 Changed 2 years ago by rblod

In 13028:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:22 Changed 2 years ago by rblod

In 13055:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:23 Changed 2 years ago by rblod

In 13056:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:24 Changed 2 years ago by rblod

In 13057:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:25 Changed 2 years ago by rblod

In 13076:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:26 Changed 2 years ago by rblod

In 13103:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:27 Changed 2 years ago by rblod

In 13104:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:28 Changed 2 years ago by rblod

In 13109:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:29 Changed 2 years ago by rblod

In 13129:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:30 Changed 2 years ago by jchanut

In 13131:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:31 Changed 2 years ago by jchanut

In 13133:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:32 Changed 2 years ago by jchanut

In 13141:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:33 Changed 2 years ago by jchanut

In 13142:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:34 Changed 2 years ago by rblod

In 13144:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:35 Changed 2 years ago by rblod

In 13145:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:36 Changed 2 years ago by jchanut

In 13146:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:37 Changed 2 years ago by jchanut

In 13147:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:38 Changed 2 years ago by jchanut

In 13157:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:39 Changed 2 years ago by rblod

In 13162:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:40 Changed 2 years ago by rblod

In 13163:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:41 Changed 2 years ago by jchanut

In 13178:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:42 Changed 2 years ago by rblod

In 13182:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:43 Changed 2 years ago by rblod

In 13183:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:44 Changed 2 years ago by rblod

In 13184:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:45 Changed 2 years ago by rblod

In 13185:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:46 Changed 2 years ago by rblod

In 13258:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:47 Changed 2 years ago by jchanut

In 13312:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:48 Changed 2 years ago by jchanut

In 13313:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:49 Changed 2 years ago by jchanut

In 13334:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:50 Changed 2 years ago by jchanut

In 13335:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:51 Changed 2 years ago by jchanut

In 13352:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:52 Changed 22 months ago by jchanut

In 13673:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:53 Changed 21 months ago by jchanut

In 14013:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:54 Changed 21 months ago by jchanut

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.